### Method

# Xdp Portal prepare_print_finish

#### Declaration [src]

    GVariant*
    xdp_portal_prepare_print_finish (
      XdpPortal* portal,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes the prepare-print request.

Returns a `GVariant` dictionary with the following information:

- settings `a{sv}`: print settings as set up by the user in the print dialog
- page-setup `a{sv}: page setup as set up by the user in the print dialog
- token u: a token that can by used in a `xdp_portal_print_file()` call to avoid the print dialog.

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GVariant`

A `GVariant` dictionary with print information.

The caller of the method takes ownership of the data, and is responsible for freeing it.